| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Typedefs | Enumerations | Functions
OgreBites Namespace Reference
Optional Components » Bites

## Classes
class | AdvancedRenderControls
class | ApplicationContext
| Base class responsible for setting up a common context for applications. More...
class | Button
| Basic button class. More...
class | CameraMan
| Utility class for controlling the camera in samples. More...
class | CheckBox
| Basic check box widget. More...
class | ConfigDialog
class | DecorWidget
| Custom, decorative widget created from a template. More...
union | Event
struct | InputListener
| the return values of the callbacks are ignored by ApplicationContext however they can be used to control event propagation in a hierarchy More...
struct | KeyboardEvent
struct | Keysym
class | Label
| Basic label widget. More...
struct | MouseButtonEvent
struct | MouseMotionEvent
struct | MouseWheelEvent
struct | NativeWindowPair
| link between a renderwindow and a platform specific window More...
class | ParamsPanel
| Basic parameters panel widget. More...
class | ProgressBar
| Basic progress bar widget. More...
class | SelectMenu
| Basic selection menu widget. More...
class | Separator
| Basic separator widget. More...
class | SGTechniqueResolverListener
| This class demonstrates basic usage of the RTShader system. More...
class | Slider
| Basic slider widget. More...
class | StaticPluginLoader
| Utility class for loading the plugins statically. More...
class | TextBox
| Scrollable text box widget. More...
struct | TouchFingerEvent
class | TrayListener
| Listener class for responding to tray events. More...
class | TrayManager
| Main class to manage a cursor, backdrop, trays and widgets. More...
class | Widget
| Abstract base class for all widgets. More...
class | WindowEventListener
| Callback class used to send out window events to client app. More...
class | WindowEventUtilities
| Utility class to handle Window Messages. More...

## Typedefs
typedef int | Keycode
typedef SDL_Window | NativeWindowType
typedef std::vector< Widget * > | WidgetList

## Enumerations
enum | { SDLK_RETURN = int('\r'), SDLK_ESCAPE = int('\033'), SDLK_SPACE = int(' '), SDLK_F1 = (1 << 30) | 58, SDLK_F2, SDLK_F3, SDLK_F4, SDLK_F5, SDLK_F6, SDLK_F7, SDLK_F8, SDLK_F9, SDLK_F10, SDLK_F11, SDLK_F12, SDLK_PAGEUP = (1 << 30) | 75, SDLK_PAGEDOWN = (1 << 30) | 77, SDLK_RIGHT = (1 << 30) | 79, SDLK_LEFT, SDLK_DOWN, SDLK_UP, SDLK_KP_MINUS = (1 << 30) | 86, SDLK_KP_PLUS, SDLK_LSHIFT = (1 << 30) | 225, KMOD_CTRL = 0x0040 | 0x0080 }
enum | ButtonState { BS_UP, BS_OVER, BS_DOWN }
| enumerator values for button states More...
enum | ButtonType { BUTTON_LEFT = 1, BUTTON_MIDDLE, BUTTON_RIGHT }
enum | CameraStyle { CS_FREELOOK, CS_ORBIT, CS_MANUAL }
| enumerator values for different styles of camera movement More...
enum | EventType { KEYDOWN = 1, KEYUP, MOUSEBUTTONDOWN, MOUSEBUTTONUP, MOUSEWHEEL, MOUSEMOTION, FINGERDOWN, FINGERUP, FINGERMOTION }
enum | TrayLocation { TL_TOPLEFT, TL_TOP, TL_TOPRIGHT, TL_LEFT, TL_CENTER, TL_RIGHT, TL_BOTTOMLEFT, TL_BOTTOM, TL_BOTTOMRIGHT, TL_NONE }
| enumerator values for widget tray anchoring locations More...

## Functions
_OgreBitesExport Ogre::ConfigDialog * | getNativeConfigDialog ()
| OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. More...

## Typedef Documentation

## ◆ NativeWindowType

typedef SDL_Window OgreBites::NativeWindowType

## ◆ Keycode

typedef int OgreBites::Keycode

## ◆ WidgetList

typedef std::vector<Widget*> OgreBites::WidgetList

## Enumeration Type Documentation

## ◆ CameraStyle

enum OgreBites::CameraStyle

enumerator values for different styles of camera movement

Enumerator
CS_FREELOOK |
CS_ORBIT |
CS_MANUAL |

## ◆ ButtonType

enum OgreBites::ButtonType

Enumerator
BUTTON_LEFT |
BUTTON_MIDDLE |
BUTTON_RIGHT |

## ◆ EventType

enum OgreBites::EventType

Enumerator
KEYDOWN |
KEYUP |
MOUSEBUTTONDOWN |
MOUSEBUTTONUP |
MOUSEWHEEL |
MOUSEMOTION |
FINGERDOWN |
FINGERUP |
FINGERMOTION |

## ◆ anonymous enum

anonymous enum

Enumerator
SDLK_RETURN |
SDLK_ESCAPE |
SDLK_SPACE |
SDLK_F1 |
SDLK_F2 |
SDLK_F3 |
SDLK_F4 |
SDLK_F5 |
SDLK_F6 |
SDLK_F7 |
SDLK_F8 |
SDLK_F9 |
SDLK_F10 |
SDLK_F11 |
SDLK_F12 |
SDLK_PAGEUP |
SDLK_PAGEDOWN |
SDLK_RIGHT |
SDLK_LEFT |
SDLK_DOWN |
SDLK_UP |
SDLK_KP_MINUS |
SDLK_KP_PLUS |
SDLK_LSHIFT |
KMOD_CTRL |

## ◆ TrayLocation

enum OgreBites::TrayLocation

enumerator values for widget tray anchoring locations

Enumerator
TL_TOPLEFT |
TL_TOP |
TL_TOPRIGHT |
TL_LEFT |
TL_CENTER |
TL_RIGHT |
TL_BOTTOMLEFT |
TL_BOTTOM |
TL_BOTTOMRIGHT |
TL_NONE |

## ◆ ButtonState

enum OgreBites::ButtonState

enumerator values for button states

Enumerator
BS_UP |
BS_OVER |
BS_DOWN |

## Function Documentation

## ◆ getNativeConfigDialog()

_OgreBitesExport Ogre::ConfigDialog* OgreBites::getNativeConfigDialog | ( |  | ) |

OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine.

This defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Returns
  pointer to Ogre::ConfigDialog or NULL if not available on the current platform.